package com.iamberry.cms.core.entity;

import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;

/**
 * 冲奶机实体类
 * @author 刘志伟
 * 2016-12-12
 */
public class Machine implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1882917614438980174L;

	private Long id;					//id
	private Long owner;					//所属用户
	private String machineName;		//机器名称
	private String machineMac;			//机器 mac码
	private String machineInfo;		//机器信息
	private String status;				//机器状态		离线：offline		在线：online	
	private String location;			//机器位置
	private Date createdOn;			//创建时间	/ 修改时间
	private String extOpenId;		//openid
	private String userName;			//用户名称
	private PageBean page = new PageBean();	//分页
	
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getExtOpenId() {
		return extOpenId;
	}
	public void setExtOpenId(String extOpenId) {
		this.extOpenId = extOpenId;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getOwner() {
		return owner;
	}
	public void setOwner(Long owner) {
		this.owner = owner;
	}
	public String getMachineName() {
		return machineName;
	}
	public void setMachineName(String machineName) {
		this.machineName = machineName;
	}
	public String getMachineMac() {
		return machineMac;
	}
	public void setMachineMac(String machineMac) {
		this.machineMac = machineMac;
	}
	public String getMachineInfo() {
		return machineInfo;
	}
	public void setMachineInfo(String machineInfo) {
		this.machineInfo = machineInfo;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getLocation() {
		return location;
	}
	public void setLocation(String location) {
		this.location = location;
	}
	public Date getCreatedOn() {
		return createdOn;
	}
	public void setCreatedOn(Date createdOn) {
		this.createdOn = createdOn;
	}
	
}
